$(document).ready(function () {
    $(".elan").css("display", "none");
    $(".elanModal").css("display", "none");
    $(".elanFind").css("display", "none");
    $("#findProduct").click(function () {
        $(".elanFind").css("display", "block");
        $(".elanFind .type").html("  در حال پردازش");
        $(".elanFind .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanFind .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Code = $("#Code1").val();
        $.ajax({
            url: "../../Get_Product_ByCode",
            type: "POST",
            data: {
                Code: Code,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elanFind .type").html("  فیلد خالی");
                    $(".elanFind .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanFind .alert-notify-text").html(" لطفا شناسه محصول را وارد کنید ");
                } else if (data == "not_Find") {
                    $(".elanFind .type").html("  جستجوی ناموفق ");
                    $(".elanFind .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanFind .alert-notify-text").html(" محصولبا این شناسه در انبار وجود ندارد ");
                } else {
                    $(".elanFind .type").html("  جستجوی موفق ");
                    $(".elanFind .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanFind .alert-notify-text").html(" محصول شما در انبار وجود دارد ");
                    $("#findProductTitle").html(" نام : " + data[2]);
                    $("#findProductCategory").html(" دسته : " + data[5]);
                    $("#findProductPrice p").html(" قیمت : " + data[6]);
                    $("#findProductUnit p").html(" واحد : " + data[4]);
                    $("#findProductAmount p").html(" موجودی : " + data[7]);
                    $("#CreateImportation,#CreateExportation").val(data[0]);
                }
            }
        })
    })
    $("#CreateImportation").click(function () {
        $this = $(this);
        var Id = $this.val();
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var havaleCode = $("#havaleCode").val();
        var Amount = $("#Number").val();
        var Sender = $("#Sender").val();
        var Description = $("#Description").val();
        var Date = $("#Date").val();
        $.ajax({
            url: "../../CreateImportationDB",
            type: "POST",
            data: {
                havaleCode: havaleCode,
                Amount: Amount,
                Sender: Sender,
                Date: Date,
                Description: Description,
                Id: Id
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elan .type").html("  فیلد های خالی");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                } else if (data == "Created") {
                    $(".elan .type").html("  ایجاد شد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" محصول شما با موفقیت اضافه شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Created") {
                    $(".elan .type").html("  ایجاد نشد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" محصول شما با موفقیت اضافه نشد ، لطفا دوباره فرایند ثبت را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Find") {
                    $(".elan .type").html("  محصول نامشخص ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" قبل از ارسال داده ها ، محصول را جستجو کنید ");
                } else if (data == "seller_empty") {
                    $(".elan .type").html("  فروشنده نامشخص ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" قبل از ارسال داده ها ، فروشنده را جستجو کنید ");
                } else if (data == "not_Exist") {
                    $(".elan .type").html("  محصول ناموجود ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" به نظر میرسد محصول شما حذف شده است ، لطفا دوباره جستجو کنید ");
                } else {
                    $(".elan .type").html("  خطای نامشخص");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#CreateExportation").click(function () {
        $this = $(this);
        var Id = $this.val();
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var havaleCode = $("#havaleCode").val();
        var Amount = $("#Number").val();
        var Receiver = $("#Receiver").val();
        var Description = $("#Description").val();
        var Date = $("#Date").val();
        $.ajax({
            url: "../../CreateExportationDB",
            type: "POST",
            data: {
                havaleCode: havaleCode,
                Amount: Amount,
                Receiver: Receiver,
                Date: Date,
                Description: Description,
                Id: Id
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elan .type").html("  فیلد های خالی");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                } else if (data == "Created") {
                    $(".elan .type").html("  ایجاد شد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" محصول شما با موفقیت خارج شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Created") {
                    $(".elan .type").html("  ایجاد نشد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" محصول شما با موفقیت خارج نشد ، لطفا دوباره فرایند ثبت را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Enough") {
                    $(".elan .type").html("  کمبود موجودی ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" موجودی انبار کمتر از مقدار خروجی است ! ");
                } else if (data == "not_Find") {
                    $(".elan .type").html("  محصول نامشخص ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" قبل از ارسال داده ها ، محصول را جستجو کنید ");
                } else if (data == "buyer_empty") {
                    $(".elan .type").html("  فروشنده نامشخص ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" قبل از ارسال داده ها ، فروشنده را جستجو کنید ");
                } else if (data == "not_Exist") {
                    $(".elan .type").html("  محصول ناموجود ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" به نظر میرسد محصول شما حذف شده است ، لطفا دوباره جستجو کنید ");
                } else {
                    $(".elan .type").html("  خطای نامشخص");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#createProduct").click(function () {
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Title = $("#Title").val();
        var Code = $("#Code").val();
        var Category = $("#Category").val();
        var Unit = $("#Unit").val();
        var Price = $("#Number").val();
        var Description = $("#Description").val();
        $.ajax({
            url: "../../CreateProductDB",
            type: "POST",
            data: {
                Title: Title,
                Code: Code,
                Category: Category,
                Unit: Unit,
                Price: Price,
                Description: Description,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elan .type").html("  فیلد های خالی");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                } else if (data == "Created") {
                    $(".elan .type").html("  ایجاد شد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" محصول شما با موفقیت ساخته شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Created") {
                    $(".elan .type").html("  ایجاد نشد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" محصول شما با موفقیت ساخته نشد ، لطفا دوباره فرایند ثبت را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "existName") {
                    $(".elan .type").html("  تکراری بودن عنوان");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" محصولی با این عنوان وجود دارد ، لطفا عنوان محصول را تغییر بدید ");

                } else if (data == "existCode") {
                    $(".elan .type").html("  تکراری بودن شناسه");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" محصولی با این شناسه وجود دارد ، لطفا شناسه محصول را تغییر بدید ");

                } else {
                    $(".elan .type").html("  خطای نامشخص");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#createStoreroom").click(function () {
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Title = $("#Title").val();
        var Number = $("#Number").val();
        var Description = $("#Description").val();
        $.ajax({
            url: "CreateDB",
            type: "POST",
            data: {
                Title: Title,
                Number: Number,
                Description: Description,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elan .type").html("  فیلد های خالی");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                } else if (data == "Created") {
                    $(".elan .type").html("  ایجاد شد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" انبار شما با موفقیت ساخته شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Created") {
                    $(".elan .type").html("  ایجاد نشد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" انبار شما با موفقیت ساخته نشد ، لطفا دوباره فرایند ثبت را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "existName") {
                    $(".elan .type").html("  تکراری بودن عنوان");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" انباری با این عنوان وجود دارد ، لطفا عنوان انبار را تغییر بدید ");

                } else if (data == "existNumber") {
                    $(".elan .type").html("  تکراری بودن شماره");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" انباری با این شماره وجود دارد ، لطفا شماره انبار را تغییر بدید ");

                } else {
                    $(".elan .type").html("  خطای نامشخص");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#editProduct").click(function () {
        $this = $(this);
        var Id = $this.val();
        $(".elanModal").css("display", "block");
        $(".elanModal .type").html("  در حال پردازش");
        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanModal .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Title = $("#editTitle").val();
        var Code = $("#editCode").val();
        var Category = $("#editCategoryProduct").val();
        var Unit = $("#editUnitProduct").val();
        var Price = $("#editNumber").val();
        var Description = $("#editDescription").val();
        $.ajax({
            url: "../../EditProductDB",
            type: "POST",
            data: {
                Title: Title,
                Code: Code,
                Category: Category,
                Unit: Unit,
                Price: Price,
                Description: Description,
                Id: Id,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elanModal .type").html("  فیلد های خالی");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                } else if (data == "Edited") {
                    $(".elanModal .type").html("  ویرایش شد ");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" محصول شما با موفقیت ویرایش شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Edited") {
                    $(".elanModal .type").html("  ویرایش نشد ");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" محصول شما با موفقیت ویرایش نشد ، لطفا دوباره فرایند ویرایش را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "existCode") {
                    $(".elanModal .type").html("  تکراری بودن شماره");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" محصولی با این شناسه وجود دارد ، لطفا شناسه محصول را تغییر بدید ");

                } else {
                    $(".elanModal .type").html("  خطای نامشخص");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#editStoreroom").click(function () {
        $this = $(this);
        var Id = $this.val();
        $(".elanModal").css("display", "block");
        $(".elanModal .type").html("  در حال پردازش");
        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanModal .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Number = $("#editNumber").val();
        var Title = $("#editTitle").val();
        var Description = $("#editDescription").val();
        $.ajax({
            url: "EditDB",
            type: "POST",
            data: {
                Title: Title,
                Number: Number,
                Description: Description,
                Id: Id,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elanModal .type").html("  فیلد های خالی");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                } else if (data == "Edited") {
                    $(".elanModal .type").html("  ویرایش شد ");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" انبار شما با موفقیت ویرایش شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Edited") {
                    $(".elanModal .type").html("  ویرایش نشد ");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" انبار شما با موفقیت ویرایش نشد ، لطفا دوباره فرایند ویرایش را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "existNumber") {
                    $(".elanModal .type").html("  تکراری بودن شماره");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" انباری با این شماره وجود دارد ، لطفا شماره انبار را تغییر بدید ");

                } else {
                    $(".elanModal .type").html("  خطای نامشخص");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#createCategory").click(function () {
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Title = $("#Title").val();
        $.ajax({
            url: "../../CreateCategoryDB",
            type: "POST",
            data: {
                Title: Title,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elan .type").html("  فیلد خالی");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا عنوان دسته را وارد کنید ");
                } else if (data == "Created") {
                    $(".elan .type").html("  ایجاد شد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" دسته شما با موفقیت ساخته شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Created") {
                    $(".elan .type").html("  ایجاد نشد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" دسته شما با موفقیت ساخته نشد ، لطفا دوباره فرایند ثبت را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "existTitle") {
                    $(".elan .type").html("  تکراری بودن عنوان");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" دسته ای با این عنوان وجود دارد ، لطفا عنوان دسته را تغییر بدید ");

                } else {
                    $(".elan .type").html("  خطای نامشخص");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#editCategory").click(function () {
        $this = $(this);
        var Id = $this.val();
        $(".elanModal").css("display", "block");
        $(".elanModal .type").html("  در حال پردازش");
        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanModal .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Title = $("#editTitle").val();
        $.ajax({
            url: "../../EditCategoryDB",
            type: "POST",
            data: {
                Title: Title,
                Id: Id,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elanModal .type").html("  فیلد خالی");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" لطفا عنوان دسته را وارد کنید ");
                } else if (data == "Edited") {
                    $(".elanModal .type").html("  ویرایش شد ");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" دسته شما با موفقیت ویرایش شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Edited") {
                    $(".elanModal .type").html("  ویرایش نشد ");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" دسته شما با موفقیت ویرایش نشد ، لطفا دوباره فرایند ویرایش را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "existName") {
                    $(".elanModal .type").html("  تکراری بودن عنوان");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" دسته ای با این عنوان وجود دارد ، لطفا عنوان دسته را تغییر بدید ");

                } else {
                    $(".elanModal .type").html("  خطای نامشخص");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#createUnit").click(function () {
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Title = $("#Title").val();
        $.ajax({
            url: "../../CreateUnitDB",
            type: "POST",
            data: {
                Title: Title,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elan .type").html("  فیلد خالی");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا عنوان واحد را وارد کنید ");
                } else if (data == "Created") {
                    $(".elan .type").html("  ایجاد شد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" واحد شما با موفقیت ساخته شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Created") {
                    $(".elan .type").html("  ایجاد نشد ");
                    $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" واحد شما با موفقیت ساخته نشد ، لطفا دوباره فرایند ثبت را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "existTitle") {
                    $(".elan .type").html("  تکراری بودن واحد");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" واحد ی با این عنوان وجود دارد ، لطفا عنوان واحد را تغییر بدید ");

                } else {
                    $(".elan .type").html("  خطای نامشخص");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $("#editUnit").click(function () {
        $this = $(this);
        var Id = $this.val();
        $(".elanModal").css("display", "block");
        $(".elanModal .type").html("  در حال پردازش");
        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanModal .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        var Title = $("#editTitle").val();
        $.ajax({
            url: "../../EditUnitDB",
            type: "POST",
            data: {
                Title: Title,
                Id: Id,
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".elanModal .type").html("  فیلد خالی");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" لطفا عنوان واحد را وارد کنید ");
                } else if (data == "Edited") {
                    $(".elanModal .type").html("  ویرایش شد ");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" واحد شما با موفقیت ویرایش شد ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "not_Edited") {
                    $(".elanModal .type").html("  ویرایش نشد ");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" واحد شما با موفقیت ویرایش نشد ، لطفا دوباره فرایند ویرایش را تکرار کنید ");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "existName") {
                    $(".elanModal .type").html("  تکراری بودن عنوان");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" واحد ی با این عنوان وجود دارد ، لطفا عنوان واحد را تغییر بدید ");

                } else {
                    $(".elanModal .type").html("  خطای نامشخص");
                    $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                }
            }
        })
    })
    $(".table-responsive .td-actions a").click(function () {
        $this = $(this);
        var action = $this.data('action');
        var id = $this.data('id');
        if (action == "deleteCategory") {
            var x = confirm("از حذف دسته مورد نظر مطمئنید ؟");
            if (x == true) {
                $(".elan").css("display", "block");
                $(".elan .type").html("  در حال پردازش");
                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
                $.ajax({
                    url: '../../deleteCategory',
                    type: "POST",
                    data: {id: id},
                    success: function (data) {
                        if (data == "Deleted") {
                            $(".elan .type").html("  حذف موفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف شد ");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 3000);
                        } else if (data == "not_Deleted") {
                            $(".elan .type").html("  حذف ناموفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف نشد ");
                        } else {
                            $(".elan .type").html("  خطای نامشخص ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید ");
                        }
                    }
                });
            }
            else {
                window.location.href = "";
            }
        }
        else if (action == "deleteUnit") {
            var x = confirm("از حذف واحد مورد نظر مطمئنید ؟");
            if (x == true) {
                $(".elan").css("display", "block");
                $(".elan .type").html("  در حال پردازش");
                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
                $.ajax({
                    url: '../../deleteUnit',
                    type: "POST",
                    data: {id: id},
                    success: function (data) {
                        if (data == "Deleted") {
                            $(".elan .type").html("  حذف موفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف شد ");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 3000);
                        } else if (data == "not_Deleted") {
                            $(".elan .type").html("  حذف ناموفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف نشد ");
                        } else {
                            $(".elan .type").html("  خطای نامشخص ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید ");
                        }
                    }
                });
            }
            else {
                window.location.href = "";
            }
        } else if (action == "deleteProduct") {
            var x = confirm("از حذف محصول مورد نظر مطمئنید ؟");
            var y = confirm("با حذف محصول تمام فاکتورهای صادر شده حذف خواهد ؟");
            if (x == true) {
                if (y == true) {
                    $(".elan").css("display", "block");
                    $(".elan .type").html("  در حال پردازش");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
                    $.ajax({
                        url: '../../deleteProduct',
                        type: "POST",
                        data: {Id: id},
                        dataType: 'json',
                        cache: false,
                        success: function (data) {
                            if (data == "empty") {
                                $(".elan .type").html("  فیلد خالی");
                                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" به نظر میرسد شما ردیفی را انتخاب نکرده اید ! ");
                            } else if (data == "not_Exist") {
                                $(".elan .type").html("  جستجوی ناموفق ");
                                $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" به نظر میرسد ردیفی با این مشخصات پیدا نشد ");
                            }
                            else if (data == "Deleted") {
                                $(".elan .type").html("  حذف موفق ");
                                $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف شد ");

                                function explode() {
                                    location.reload();
                                }

                                setTimeout(explode, 3000);
                            } else if (data == "not_Deleted") {
                                $(".elan .type").html("  حذف ناموفق ");
                                $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف نشد ");
                            } else {
                                $(".elan .type").html("  خطای نامشخص ");
                                $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید ");
                            }
                        }
                    });
                } else {
                    window.location.href = "";
                }
            }
            else {
                window.location.href = "";
            }
        }
        else if (action == "deleteImportation") {
            if (confirm("از حذف ردیف مورد نظر مطمئنید ؟")) {
                $(".elan").css("display", "block");
                $(".elan .type").html("  در حال پردازش");
                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
                $.ajax({
                    url: "../../deleteImportation",
                    type: "POST",
                    data: {
                        Id: id,
                    },
                    dataType: 'json',
                    cache: false,
                    success: function (data) {
                        if (data == "empty") {
                            $(".elan .type").html("  فیلد خالی");
                            $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" به نظر میرسد شما ردیفی را انتخاب نکرده اید ! ");
                        } else if (data == "not_Exist") {
                            $(".elan .type").html("  جستجوی ناموفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" به نظر میرسد ردیفی با این مشخصات پیدا نشد ");
                        } else if (data == "not_EnoughAmount") {
                            $(".elan .type").html("  موجودی ناکافی ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" کاربر گرامی موجودی انبار کمتر از موجودی فاکتور هست ، فاکتورهای خروج را چک کنید ");
                        } else if (data == "Deleted") {
                            $(".elan .type").html("  حذف موفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف شد ");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 3000);
                        } else if (data == "not_Deleted") {
                            $(".elan .type").html("  حذف ناموفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف نشد ");
                        } else {
                            $(".elan .type").html("  خطای نامشخص ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید ");
                        }
                    }
                })
            }
            else {
                window.location.href = "";
            }
        } else if (action == "deleteStoreroom") {
            if (confirm("از حذف انبار مورد نظر مطمئنید ؟")) {
                var y = confirm("با حذف انبار تمام تمام اطلاعات مروبطه( محصولات ، فاکتورها و ... ) نیز حذف خواهد ؟");
                if (y == true) {
                    $(".elan").css("display", "block");
                    $(".elan .type").html("  در حال پردازش");
                    $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
                    $.ajax({
                        url: "deleteStoreroom",
                        type: "POST",
                        data: {
                            Id: id,
                        },
                        dataType: 'json',
                        cache: false,
                        success: function (data) {
                            if (data == "empty") {
                                $(".elan .type").html("  فیلد خالی");
                                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" به نظر میرسد شما ردیفی را انتخاب نکرده اید ! ");
                            } else if (data == "not_Exist") {
                                $(".elan .type").html("  جستجوی ناموفق ");
                                $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" به نظر میرسد ردیفی با این مشخصات پیدا نشد ");
                            } else if (data == "Deleted") {
                                $(".elan .type").html("  حذف موفق ");
                                $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف شد ");

                                function explode() {
                                    location.reload();
                                }

                                setTimeout(explode, 3000);
                            } else if (data == "not_Deleted") {
                                $(".elan .type").html("  حذف ناموفق ");
                                $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف نشد ");
                            } else {
                                $(".elan .type").html("  خطای نامشخص ");
                                $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                                $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید ");
                            }
                        }
                    })
                } else {
                    window.location.href = "";
                }
            }
            else {
                window.location.href = "";
            }
        }
        else if (action == "deleteExportation") {
            if (confirm("از حذف ردیف مورد نظر مطمئنید ؟")) {
                $(".elan").css("display", "block");
                $(".elan .type").html("  در حال پردازش");
                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
                $.ajax({
                    url: "../../deleteExportation",
                    type: "POST",
                    data: {
                        Id: id,
                    },
                    dataType: 'json',
                    cache: false,
                    success: function (data) {
                        if (data == "empty") {
                            $(".elan .type").html("  فیلد خالی");
                            $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" به نظر میرسد شما ردیفی را انتخاب نکرده اید ! ");
                        } else if (data == "not_Exist") {
                            $(".elan .type").html("  جستجوی ناموفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" به نظر میرسد ردیفی با این مشخصات پیدا نشد ");
                        } else if (data == "Deleted") {
                            $(".elan .type").html("  حذف موفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف شد ");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 3000);
                        } else if (data == "not_Deleted") {
                            $(".elan .type").html("  حذف ناموفق ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" ردیف شما با موفقیت حذف نشد ");
                        } else {
                            $(".elan .type").html("  خطای نامشخص ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید ");
                        }
                    }
                })
            }
            else {
                window.location.href = "";
            }
        }
        else if (action == "editStoreroom") {
            $.ajax({
                type: 'POST',
                url: 'Get_Storeroom_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (result) {
                    $('#editTitle').val(result[2]);
                    $('#editNumber').val(result[1]);
                    $('#editDescription').html(result[3]);
                    $('#editStoreroom').val(result[0]);
                },
            });
        }
        else if (action == "findProductPro") {
            $('#findProductModal').modal('hide')
            $(".elanFind").css("display", "block");
            $(".elanFind .type").html("  در حال پردازش");
            $(".elanFind .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
            $(".elanFind .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
            $.ajax({
                url: "../../Get_Product_ByCode",
                type: "POST",
                data: {
                    Code: id,
                },
                dataType: 'json',
                cache: false,
                success: function (data) {
                    if (data == "empty") {
                        $(".elanFind .type").html("  فیلد خالی");
                        $(".elanFind .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanFind .alert-notify-text").html(" لطفا شناسه محصول را وارد کنید ");
                    } else if (data == "not_Find") {
                        $(".elanFind .type").html("  جستجوی ناموفق ");
                        $(".elanFind .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanFind .alert-notify-text").html(" محصولی با این شناسه در انبار وجود ندارد ");
                    } else {
                        $(".elanFind .type").html("  جستجوی موفق ");
                        $(".elanFind .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanFind .alert-notify-text").html(" محصول شما در انبار وجود دارد ");
                        $("#findProductTitle").html(" نام : " + data[2]);
                        $("#findProductCategory").html(" دسته : " + data[5]);
                        $("#findProductPrice p").html(" قیمت : " + data[6]);
                        $("#findProductUnit p").html(" واحد : " + data[4]);
                        $("#findProductAmount p").html(" موجودی : " + data[7]);
                        $("#CreateImportation,#CreateExportation").val(data[0]);
                    }
                }
            })
        } else if (action == "findSellerPro") {
            $('#findSellerModal').modal('hide')
            $(".elanFind").css("display", "block");
            $(".elanFind .type").html("  در حال پردازش");
            $(".elanFind .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
            $(".elanFind .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
            $.ajax({
                type: 'POST',
                url: '../../Get_Contact_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (data) {
                    $(".elanFind .type").html("  جستجوی موفق ");
                    $(".elanFind .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanFind .alert-notify-text").html(" فروشنده شما در انبار وجود دارد ");
                    $("#Sender").val(data[1] + " " + data[2] + "(" + data[3] + ")");
                },
            });
        } else if (action == "findBuyerPro") {
            $('#findBuyerModal').modal('hide')
            $(".elanFind").css("display", "block");
            $(".elanFind .type").html("  در حال پردازش");
            $(".elanFind .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
            $(".elanFind .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
            $.ajax({
                type: 'POST',
                url: '../../Get_Contact_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (data) {
                    $(".elanFind .type").html("  جستجوی موفق ");
                    $(".elanFind .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                    $(".elanFind .alert-notify-text").html(" خریدار شما در انبار وجود دارد ");
                    $("#Receiver").val(data[1] + " " + data[2] + "(" + data[3] + ")");
                },
            });
        }
        else if (action == "editCategory") {
            $.ajax({
                type: 'POST',
                url: '../../Get_Category_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (result) {
                    $('#editTitle').val(result[1]);
                    $('#editCategory').val(result[0]);

                },
            });
        }
        else if (action == "editUnit") {
            $.ajax({
                type: 'POST',
                url: '../../Get_Unit_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (result) {
                    $('#editTitle').val(result[1]);
                    $('#editUnit').val(result[0]);
                },
            });
        } else if (action == "editProduct") {
            $.ajax({
                type: 'POST',
                url: '../../Get_Product_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (result) {
                    $('#editTitle').val(result[2]);
                    $('#editCode').val(result[1]);
                    $('#editNumber').val(result[6]);
                    $('#editDescription').val(result[3]);
                    $('#editCategoryProduct').val(result[5]);
                    $('#editUnitProduct').val(result[4]);
                    $('#editProduct').val(result[0]);
                },
            });
        }
    })
})